PaidGoods
API referenceStorefront growth

Import a checked theme package as a new, inactive theme

POST
/v1/stores/{storeId}/storefront/themes/import-package

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/storefront/themes/import-package" \  -H "Content-Type: application/json" \  -d '{    "files": {      "property1": "string",      "property2": "string"    }  }'
{  "themeId": "53fe7fb9-b3ba-4541-bf79-a49c12f44b76",  "name": "string",  "analysis": {    "format": "native",    "name": "string",    "base": "string",    "baseLabel": "string",    "level": "native",    "dimensions": [      {        "key": "files",        "label": "string",        "status": "ok",        "notes": [          "string"        ]      }    ],    "files": [      {        "path": "string",        "bytes": -9007199254740991      }    ],    "hasSettings": true,    "rejected": [      {        "path": "string",        "reason": "string"      }    ],    "changes": [      {        "path": "string",        "change": "string"      }    ],    "rendered": [      {        "template": "string",        "ok": true,        "error": "string"      }    ]  }}